package com.ruoyi.project.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.project.bo.ProjectListInput;
import com.ruoyi.project.bo.ProjectTaskListOut;
import com.ruoyi.project.domain.ProjectTask;

import java.util.List;

public interface ProjectTaskService {
    AjaxResult addProjectTask(ProjectTask projectTask);

    AjaxResult deleteProject(ProjectTask in);

    AjaxResult details(Long id);

    List<ProjectTaskListOut> list(ProjectListInput in);

    String importProject(List<ProjectTaskListOut> list, boolean updateSupport, String operName);
}
